--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Evaluates the proc as a virtual row block. If a hash or array of two element arrays is returned, they are converted to a Sequel::SQL::BooleanExpression. Otherwise, unless the object returned is already an Sequel::SQL::Expression, convert the object to an Sequel::SQL::GenericComplexExpression.
- !ruby/struct:SM::Flow::VERB 
  body: "  proc{a(b)}.sql_expr + 1  # a(b) + 1\n  proc{{a=&gt;b}}.sql_expr | true  # (a = b) OR TRUE\n  proc{1}.sql_expr + :a  # 1 + a\n"
full_name: Proc#sql_expr
is_singleton: false
name: sql_expr
params: ()
visibility: public
